package com.boman.web.core.service.qianshanGrid;


import com.boman.domain.QianshanGrid;
import com.boman.domain.dto.AjaxResult;

import java.util.List;

/**
 * 潜山网格信息Service接口
 *
 * @author ruoyi
 * @date 2022-06-20
 */
public interface IQianshanGridService {
    /**
     * 查询潜山网格信息
     *
     * @param id 潜山网格信息主键
     * @return 潜山网格信息
     */
    public QianshanGrid selectQianshanGridById(Long id);

    /**
     * 查询潜山网格信息列表
     *
     * @param qianshanGrid 潜山网格信息
     * @return 潜山网格信息集合
     */
    public List<QianshanGrid> selectQianshanGridList(QianshanGrid qianshanGrid);

    /**
     * 新增潜山网格信息
     *
     * @param qianshanGrid 潜山网格信息
     * @return 结果
     */
    public int insertQianshanGrid(QianshanGrid qianshanGrid);

    /**
     * 修改潜山网格信息
     *
     * @param qianshanGrid 潜山网格信息
     * @return 结果
     */
    public int updateQianshanGrid(QianshanGrid qianshanGrid);

    /**
     * 批量删除潜山网格信息
     *
     * @param ids 需要删除的潜山网格信息主键集合
     * @return 结果
     */
    public int deleteQianshanGridByIds(Long[] ids);

    /**
     * 删除潜山网格信息信息
     *
     * @param id 潜山网格信息主键
     * @return 结果
     */
    public int deleteQianshanGridById(Long id);

    /***
     * 通过村ID获取网格信息
     */
    AjaxResult queryZu(QianshanGrid qianshanGrid);

    List<QianshanGrid> listApi(String pid);
}
